# parse_string_equations function

(Shortest import: `from brian2.equations.equations import parse_string_equations)`

brian2.equations.equations.parse_string_equations(eqns)

  Parse a string defining equations.

  Parameters:

    eqns : str

    > The (possibly multi-line) string defining the equations. See the documentation of the `Equations` class for details.

  Returns:

    equations : dict

    > A dictionary mapping variable names to `Equations` objects